#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

%define upstream_name kwalletmanager

Name:       kwallet
Summary:    KDE Wallet Management Tool
Version: 4.12.5
Release:    %mkrel %{rel}
Group:      Security
License:    GPLv2 and LGPLv2
URL:        http://www.kde.org/applications/system/kwalletmanager/
Source0:    ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{upstream_name}-%{version}.tar.xz

BuildRequires: kdelibs4-devel >= 2:%version

Conflicts: kdeutils4-core < 4.5.72
Requires: kwallet-daemon
Requires: kdebase4-runtime
Suggests: %{name}-handbook

%description
KDE Wallet Manager is for management of the wallets installed on the
system. The KDE wallet subsystem provides a convenient and secure way
to manage all your passwords.

%files
%_kde_appsdir/kwalletmanager/
%_kde_bindir/kwalletmanager
%_kde_libdir/kde4/kcm_kwallet.so
%_kde_libdir/kde4/libexec/kcm_kwallet_helper
%_kde_applicationsdir/kwalletmanager-kwalletd.desktop
%_kde_applicationsdir/kwalletmanager.desktop
%_kde_services/kwalletconfig.desktop
%_kde_services/kwalletmanager_show.desktop
%_kde_iconsdir/hicolor/*/apps/kwalletmanager.png
%_kde_iconsdir/hicolor/*/apps/kwalletmanager2.png
%_sysconfdir/dbus-1/system.d/org.kde.kcontrol.kcmkwallet.conf
%_datadir/dbus-1/system-services/org.kde.kcontrol.kcmkwallet.service
%_datadir/polkit-1/actions/org.kde.kcontrol.kcmkwallet.policy

#------------------------------------------------------------------------------

%package handbook
Summary: kwallet Handbook
Group: Documentation
BuildArch: noarch

Requires: %{name} >= %{version}-%{release}

Conflicts: kwallet < 4.7.1

%description handbook
KDE Wallet Manager is for management of the wallets installed on the
system. The KDE wallet subsystem provides a convenient and secure way
to manage all your passwords.

This package provides kwallet handbook.

%files handbook
%doc COPYING COPYING.LIB TODO
%docdir %_kde_docdir/HTML/
%_kde_docdir/HTML/en/kwallet/

#------------------------------------------------------------------------------

%prep
%setup -qn %{upstream_name}-%{version}
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4  -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog
* Sun Jun 29 2014 lmenut <lmenut> 4.12.5-1.mga4
+ Revision: 641362
- Update to KDE SC 4.12.5
  update file list

  + neoclust <neoclust>
    - New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 4.11.4-1.mga4
+ Revision: 555052
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 4.11.3-1.mga4
+ Revision: 551324
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 4.11.2-2.mga4
+ Revision: 540341
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 4.11.2-1.mga4
+ Revision: 490797
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 4.11.1-2.mga4
+ Revision: 488652
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 4.11.1-1.mga4
+ Revision: 476884
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 4.11.0-1.mga4
+ Revision: 465227
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 4.10.97-1.mga4
+ Revision: 458970
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 4.10.95-1.mga4
+ Revision: 455356
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1
- Fix files list

* Fri Jun 28 2013 mikala <mikala> 4.10.90-1.mga4
+ Revision: 447997
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1
- Fix files list

* Sun Jun 02 2013 mikala <mikala> 4.10.4-1.mga4
+ Revision: 435363
- Update tarball to KDE SC 4.10.4

* Mon May 27 2013 mikala <mikala> 4.10.3-1.mga4
+ Revision: 428474
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 4.10.2-1.mga3
+ Revision: 407288
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 4.10.1-1.mga3
+ Revision: 401929
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 4.10.0-1.mga3
+ Revision: 394451
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 4.9.97-2.mga3
+ Revision: 356583
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 4.9.97-1.mga3
+ Revision: 339554
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 4.9.95-1.mga3
+ Revision: 334613
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 4.9.90-1.mga3
+ Revision: 326814
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 4.9.80-1.mga3
+ Revision: 320333
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 4.9.3-1.mga3
+ Revision: 316237
- Update tarball to KDE SC 4.9.3

  + fwang <fwang>
    - update rpm group

* Tue Oct 02 2012 mikala <mikala> 4.9.2-1.mga3
+ Revision: 301985
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 4.9.1-1.mga3
+ Revision: 289789
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 4.9.0-1.mga3
+ Revision: 277034
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 4.8.97-1.mga3
+ Revision: 269707
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 4.8.95-1.mga3
+ Revision: 266269
- New version 4.8.95

* Fri Jun 08 2012 fwang <fwang> 4.8.4-1.mga3
+ Revision: 257273
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 4.8.2-1.mga2
+ Revision: 228470
- new version 4.8.2

* Thu Mar 29 2012 lmenut <lmenut> 4.8.1-2.mga2
+ Revision: 227489
- add missing suggests

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221504
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 198383
- Updating tarball to KDE 4.8.0
- Drop patch0
- Fix Group

* Thu Jan 05 2012 mikala <mikala> 4.7.97-1.mga2
+ Revision: 191539
- Add patch0 from upstream to add missing add_definition() calls
- Update tarball to KDE 4.7.97

* Fri Dec 23 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186367
- Update tarball to KDE 4.7.95
- fix group

* Wed Dec 14 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 181497
- imported package kwallet

